From: Uladzimir Bely <ubely@ilbers.de>
To: isar-users@googlegroups.com
Subject: [PATCH v3 07/15] CI: install qemu-system when qemu testing is requested
Date: Fri, 3 Feb 2023 05:44:18 +0100 [thread overview]
Message-ID: <20230203044427.32711-8-ubely@ilbers.de> (raw)
In-Reply-To: <20230203044427.32711-1-ubely@ilbers.de>
From: Henning Schild <henning.schild@siemens.com>
And also change gitlab ci config to request qemu testing.
Signed-off-by: Henning Schild <henning.schild@siemens.com>
Signed-off-by: Anton Mikanovich <amikan@ilbers.de>
---
.gitlab-ci.yml | 4 ++--
scripts/ci_build.sh | 5 +++++
2 files changed, 7 insertions(+), 2 deletions(-)
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index fcdefa87..6a49ce43 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -27,7 +27,7 @@ fast-ci:
except:
- schedules
script:
- - scripts/ci_build.sh -q -f -n
+ - scripts/ci_build.sh -q -f
full-ci:
<<: *common-build
@@ -37,7 +37,7 @@ full-ci:
- PREVIOUS_SHA="$(cat .CI_COMMIT_SHA || true)"
- if [ "$CI_COMMIT_SHA" != "$PREVIOUS_SHA" ]; then
echo "$CI_COMMIT_SHA" > .CI_COMMIT_SHA;
- scripts/ci_build.sh -q -c -r -n;
+ scripts/ci_build.sh -q -c -r;
fi
cache:
key: "$CI_COMMIT_REF_SLUG"
diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index e5f20d4f..960ee94e 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -127,6 +127,11 @@ fi
if [ -n "$NORUN" ]; then
TAGS="$TAGS,-startvm"
+else
+ if ! command -v qemu-system-x86_64 > /dev/null; then
+ sudo apt-get update -qq
+ sudo apt-get install -y qemu-system
+ fi
fi
# Provide working path
--
2.20.1
next prev parent reply other threads:[~2023-02-03 4:44 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-02-03 4:44 [PATCH v3 00/15] Add developers test Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 01/15] CI: Enable downloads dir sharing Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 02/15] CI: Add IMAGE_INSTALL override Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 03/15] CI: Add developers test Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 04/15] CI: Remove duplicated targets Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 05/15] CI: move to avocado to 99.0 Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 06/15] CI: fix shell coding style Uladzimir Bely
2023-02-03 4:44 ` Uladzimir Bely [this message]
2023-02-03 8:33 ` [PATCH v3 07/15] CI: install qemu-system when qemu testing is requested Uladzimir Bely
2023-02-03 17:04 ` Henning Schild
2023-02-03 4:44 ` [PATCH v3 08/15] testsuite: remove tests from "fast" set Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 09/15] CI: Get rid of setting cross from outside Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 10/15] CI: Make cross compile to be default Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 11/15] CI: Get rid of setting repro from outside Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 12/15] CI: Allow example module checking disabling Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 13/15] testsuite: Fix terminal broken after run test executed Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 14/15] CI: Update testsuite documentation Uladzimir Bely
2023-02-03 4:44 ` [PATCH v3 15/15] CI: Add single target test case Uladzimir Bely
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20230203044427.32711-8-ubely@ilbers.de \
--to=ubely@ilbers.de \
--cc=isar-users@googlegroups.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox